Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.stmt
Class WhileStatement

Field Summary
`BooleanExpression` | `booleanExpression`
`Statement` | `loopBlock`

Constructor Summary
`WhileStatement(BooleanExpression booleanExpression, Statement loopBlock)`

Method Summary
`BooleanExpression` | `getBooleanExpression()`
`Statement` | `getLoopBlock()`
`void` | `setBooleanExpression(BooleanExpression booleanExpression)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### WhileStatement

    public WhileStatement(BooleanExpression booleanExpression, Statement loopBlock)

Method Detail

### getBooleanExpression

    public BooleanExpression getBooleanExpression()

### getLoopBlock

    public Statement getLoopBlock()

### setBooleanExpression

    public void setBooleanExpression(BooleanExpression booleanExpression)

### visit

    public void visit(GroovyCodeVisitor visitor)